
HWND_DESKTOP			= 0

CW_USEDEFAULT			= 0x80000000

IDC_ARROW			= 32512

IDI_APPLICATION			= 32512

CS_VREDRAW			= 0x00001
CS_HREDRAW			= 0x00002
CS_DBLCLKS			= 0x00008
CS_OWNDC			= 0x00020
CS_CLASSDC			= 0x00040
CS_PARENTDC			= 0x00080
CS_NOCLOSE			= 0x00200
CS_SAVEBITS			= 0x00800
CS_BYTEALIGNCLIENT		= 0x01000
CS_BYTEALIGNWINDOW		= 0x02000
CS_GLOBALCLASS			= 0x04000
CS_DROPSHADOW			= 0x20000

WS_OVERLAPPED			= 0x00000000
WS_TILED 			= 0x00000000
WS_TABSTOP 			= 0x00010000
WS_MAXIMIZEBOX 			= 0x00010000
WS_GROUP 			= 0x00020000
WS_MINIMIZEBOX			= 0x00020000
WS_THICKFRAME 			= 0x00040000
WS_SIZEBOX 			= 0x00040000
WS_SYSMENU 			= 0x00080000
WS_HSCROLL 			= 0x00100000
WS_DLGFRAME 			= 0x00400000
WS_VSCROLL 			= 0x00200000
WS_BORDER 			= 0x00800000
WS_CAPTION 			= 0x00C00000
WS_MAXIMIZE 			= 0x01000000
WS_CLIPCHILDREN 		= 0x02000000
WS_CLIPSIBLINGS 		= 0x04000000
WS_DISABLED 			= 0x08000000
WS_VISIBLE 			= 0x10000000
WS_ICONIC 			= 0x20000000
WS_MINIMIZE 			= 0x20000000
WS_CHILD 			= 0x40000000
WS_CHILDWINDOW 			= 0x40000000
WS_POPUP 			= 0x80000000
WS_POPUPWINDOW 			= WS_POPUP or WS_BORDER or WS_SYSMENU
WS_OVERLAPPEDWINDOW 		= WS_OVERLAPPED or WS_CAPTION or WS_SYSMENU or \
				  WS_THICKFRAME or WS_MINIMIZEBOX or \
				  WS_MAXIMIZEBOX
WS_TILEDWINDOW 			= WS_OVERLAPPED or WS_CAPTION or WS_SYSMENU or \
				  WS_THICKFRAME or WS_MINIMIZEBOX or \
				  WS_MAXIMIZEBOX

WS_EX_LEFT			= 0x00000000
WS_EX_LTRREADING		= 0x00000000
WS_EX_RIGHTSCROLLBAR		= 0x00000000
WS_EX_DLGMODALFRAME		= 0x00000001
WS_EX_NOPARENTNOTIFY		= 0x00000004
WS_EX_TOPMOST			= 0x00000008
WS_EX_ACCEPTFILES		= 0x00000010
WS_EX_TRANSPARENT		= 0x00000020
WS_EX_MDICHILD			= 0x00000040
WS_EX_TOOLWINDOW		= 0x00000080
WS_EX_WINDOWEDGE		= 0x00000100
WS_EX_CLIENTEDGE		= 0x00000200
WS_EX_CONTEXTHELP		= 0x00000400
WS_EX_RIGHT			= 0x00001000
WS_EX_RTLREADING		= 0x00002000
WS_EX_LEFTSCROLLBAR		= 0x00004000
WS_EX_CONTROLPARENT		= 0x00010000
WS_EX_STATICEDGE		= 0x00020000
WS_EX_APPWINDOW			= 0x00040000
WS_EX_LAYERED			= 0x00080000
WS_EX_NOINHERITLAYOUT		= 0x00100000
WS_EX_NOREDIRECTIONBITMAP	= 0x00200000
WS_EX_LAYOUTRTL			= 0x00400000
WS_EX_COMPOSITED		= 0x02000000
WS_EX_NOACTIVATE		= 0x08000000

WS_EX_OVERLAPPEDWINDOW		= WS_EX_WINDOWEDGE or WS_EX_CLIENTEDGE
WS_EX_PALETTEWINDOW		= WS_EX_WINDOWEDGE or WS_EX_TOOLWINDOW or \
				  WS_EX_TOPMOST


QS_KEY				= 0x0001
QS_MOUSEMOVE			= 0x0002
QS_MOUSEBUTTON			= 0x0004
QS_POSTMESSAGE			= 0x0008
QS_TIMER			= 0x0010
QS_PAINT			= 0x0020
QS_SENDMESSAGE			= 0x0040
QS_HOTKEY			= 0x0080
QS_ALLPOSTMESSAGE		= 0x0100
QS_RAWINPUT			= 0x0400
QS_TOUCH			= 0x0800
QS_POINTER			= 0x1000

QS_MOUSE			= QS_MOUSEMOVE or QS_MOUSEBUTTON
QS_INPUT			= QS_MOUSE or QS_KEY or QS_RAWINPUT or \
				  QS_TOUCH or QS_POINTER
QS_ALLINPUT			= QS_INPUT or QS_POSTMESSAGE or QS_TIMER or \
				  QS_PAINT or QS_HOTKEY or QS_SENDMESSAGE

PM_NOREMOVE			= 0
PM_REMOVE			= 1
PM_NOYELD			= 2

PM_QS_INPUT			= QS_INPUT shl 16
PM_QS_PAINT			= QS_PAINT shl 16
PM_QS_POSTMESSAGE		= ( QS_POSTMESSAGE or QS_HOTKEY or \
				    QS_TIMER ) shl 16
PM_QS_SENDMESSAGE		= QS_SENDMESSAGE shl 16

GWL_USERDATA			= -21

WM_NULL				= 0
WM_CREATE			= 1
WM_DESTROY			= 2
WM_QUIT				= 18
WM_PAINT			= 15
WM_ERASEBKGND			= 20
WM_KEYDOWN			= 256
WM_KEYUP			= 257
WM_TIMER			= 275
WM_USER				= 1024

SW_HIDE				= 0
SW_NORMAL			= 1
SW_SHOWNORMAL			= 1
SW_SHOWMINIMIZED		= 2
SW_MAXIMIZE			= 3
SW_SHOWMAXIMIZED		= 3
SW_SHOWNOACTIVATE		= 4
SW_SHOW				= 5
SW_MINIMIZE			= 6
SW_SHOWMINNOACTIVE		= 7
SW_SHOWNA			= 8
SW_RESTORE			= 9
SW_SHOWDEFAULT			= 10
SW_FORCEMINIMIZE		= 11

PFD_DOUBLEBUFFER		= 0x00000001
PFD_STEREO			= 0x00000002
PFD_DRAW_TO_WINDOW		= 0x00000004
PFD_DRAW_TO_BITMAP		= 0x00000008
PFD_SUPPORT_GDI			= 0x00000010
PFD_SUPPORT_OPENGL		= 0x00000020
PFD_GENERIC_FORMAT		= 0x00000040
PFD_NEED_PALETTE		= 0x00000080
PFD_NEED_SYSTEM_PALETTE		= 0x00000100
PFD_SWAP_COPY			= 0x00000400
PFD_SWAP_EXCHANGE		= 0x00000200
PFD_SWAP_LAYER_BUFFERS		= 0x00000800
PFD_GENERIC_ACCELERATED		= 0x00001000

PFD_DEPTH_DONTCARE		= 0x20000000
PFD_DOUBLEBUFFER_DONTCARE	= 0x40000000
PFD_STEREO_DONTCARE		= 0x80000000

PFD_TYPE_RGBA			= 0
PFD_TYPE_COLORINDEX		= 1

IMAGE_BITMAP			= 0
IMAGE_CURSOR			= 1
IMAGE_ICON			= 2

LR_DEFAULTCOLOR			= 0x00000000
LR_MONOCHROME			= 0x00000001
LR_LOADFROMFILE			= 0x00000010
LR_LOADTRANSPARENT		= 0x00000020
LR_DEFAULTSIZE			= 0x00000040
LR_VGACOLOR			= 0x00000080
LR_LOADMAP3DCOLORS		= 0x00001000
LR_CREATEDIBSECTION		= 0x00002000
LR_SHARED			= 0x00008000
